<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Parente extends Model
{
    /** @use HasFactory<\Database\Factories\ParenteFactory> */
    use HasFactory;
    protected $fillable = [
        'personne_id',
        'parent_id',
        'type_parent_id',
    ];

    public function type_parente()
    {
        return $this->belongsTo(Type_parente::class);
    }
    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }
}